import request from "./request";


/**
 * @getBanner
 *
 */
//  /api/wx/login
export const getBanner = (params, data,) => request(`/api/wx/banner?position=${params}`, data, 'GET')



/**
 * 登录
 * @param {*} id 
 * @returns 
 * loginParam
 */
export const UserLogin = (code) => request(`/api/wx/login?code=${code}`, { method: 'post' })



/**
 * 修改个人信息
 * @param 修改个人信息
 * @returns 
 * loginParam
 */
export const SetUser = (id, data) => request(`/api/wx/person/${id}`, { method: 'put', data })





/**
 * 获取学期
 * @param 
 * @returns 
 * loginParam
 */
export const getSchoolterm = (id) => request(`/api/wx/school-term`, { method: 'get' })


/**
 * 获取班级
 * @param 
 * @returns 
 * loginParam
 */
export const getSchoolClass = (params) => request(`/api/wx/school-class?termId=${params}`, { method: 'get' })




/**
 * 获取课程表
 * @param 
 * @returns 
 * 
 */
export const getCourse = (params) => request(`/api/wx/course?pageSize=99999`, { method: 'get' })

/**
 * 获取课程表详情
 * @param 
 * @returns 
 * 
 */
export const getCourseInfof = (id) => request(`/api/wx/course/${id}`, { method: 'get' })







// -------------------------------------------------------






/**
 * 获取签到详情
 * @param手机号不能空时间范围
 * @returns 
 * 
 */
export const getSignInInfo = (id) => request(`/api/wx/sign-in/${id}`, { method: 'get' })



/**
 * 签到
 * @param
 * @returns 
 * 
 */
export const postSignIn = (id) => request(`/api/wx/sign-in/${id}`, { method: 'post' })





/**
 * 收藏
 * @param
 * @returns 
 * 
 */
export const getCollection = () => request(`/api/wx/favorite`, { method: 'get' })

/**
 * 增加收藏
 * @param
 * @returns 
 * 
 */
export const addCollection = (data) => request(`/api/wx/favorite`, { method: 'post', data })


/**
* 删除收藏
* @param
* @returns 
* 
*/
export const deleteCollection = (data) => request(`/api/wx/favorite`, { method: 'delete', data })












/**
* 照片分类
* @param
* @returns 
* /api/{client}/attchPack
*/
export const getPhotoSotr = (data) => request(`/api/wx/attchPack`, { method: 'get', data })



/**
* 照片墙
* @param
* @returns 
* /api/{client}/attachment
*/
export const getPhotos = (id, data) => request(`/api/wx/attachment?packId=${id}&pageSize=99999`, { method: 'get', data })












/**
* 问卷
* @param
* @returns 
* 
*/
export const getQuestionnaire = (id, data) => request(`/api/wx/questionnaire/${id}`, { method: 'get', data })


/**
* 问卷列表
* @param
* @returns 
* 
*/
export const getQuestion = (id, data) => request(`/api/wx/question?queId=${id}&pageSize=99999`, { method: 'get', data })




/**
* 问卷详情
* @param
* @returns 
* 
*/
export const getQuestionInfo = (id, data) => request(`/api/wx/question/${id}`, { method: 'get', data })




/**
* 问卷提交
* @param
* @returns 
* 
*/
export const answerQuestionnaire = (id, data) => request(`/api/wx/questionnaire/${id}/answer`, { method: 'post', data })

