


// 日期格式化
export function parseTime (time, pattern) {
  let aTime
  if (time) {
    aTime = time
    .toLocaleString()
    .replace(/T/g, ' ')
    .replace(/\.[\d]{3}Z/, '')
  }

  if (arguments.length === 0 || !aTime) {
    return null
  }
  const format = pattern || '{y}-{m}-{d} {h}:{i}:{s}'
  let date
  if (typeof aTime === 'object') {
    date = aTime
  } else {
    if ((typeof aTime === 'string') && (/^[0-9]+$/.test(aTime))) {
      aTime = parseInt(aTime)
    } else if (typeof aTime === 'string') {
      aTime = aTime.replace(new RegExp(/-/gm), '/');
    }
    if ((typeof aTime === 'number') && (aTime.toString().length === 10)) {
      aTime = aTime * 1000
    }
    date = new Date(aTime)
  }
  const formatObj = {
    y: date.getFullYear(),
    m: date.getMonth() + 1,
    d: date.getDate(),
    h: date.getHours(),
    i: date.getMinutes(),
    s: date.getSeconds(),
    a: date.getDay()
  }
  const time_str = format.replace(/{(y|m|d|h|i|s|a)+}/g, (result, key) => {
    let value = formatObj[key]
    // Note: getDay() returns 0 on Sunday
    if (key === 'a') { return ['日', '一', '二', '三', '四', '五', '六'][value] }
    if (result.length > 0 && value < 10) {
      value = '0' + value
    }
    return value || 0
  })
  return time_str
}


